CoyoteWriter (Tomcat API Documentation)
Keywords: org.apache.catalina.connector.CoyoteWriter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.connector
Class CoyoteWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              org.apache.catalina.connector.CoyoteWriter

public class CoyoteWriter
extends java.io.PrintWriter

Coyote implementation of the servlet writer.

Author:
  Remy Maucherat

Field Summary
`protected boolean` | `error`
`protected OutputBuffer` | `ob`

Fields inherited from class java.io.PrintWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`CoyoteWriter(OutputBuffer ob)`

Method Summary
`boolean` | `checkError()`
`protected java.lang.Object` | `clone()` Prevent cloning the facade.
`void` | `close()`
`void` | `flush()`
`void` | `print(boolean b)`
`void` | `print(char c)`
`void` | `print(char[] s)`
`void` | `print(double d)`
`void` | `print(float f)`
`void` | `print(int i)`
`void` | `print(long l)`
`void` | `print(java.lang.Object obj)`
`void` | `print(java.lang.String s)`
`void` | `println()`
`void` | `println(boolean b)`
`void` | `println(char c)`
`void` | `println(char[] c)`
`void` | `println(double d)`
`void` | `println(float f)`
`void` | `println(int i)`
`void` | `println(long l)`
`void` | `println(java.lang.Object o)`
`void` | `println(java.lang.String s)`
`void` | `write(char[] buf)`
`void` | `write(char[] buf, int off, int len)`
`void` | `write(int c)`
`void` | `write(java.lang.String s)`
`void` | `write(java.lang.String s, int off, int len)`

Methods inherited from class java.io.PrintWriter
`setError`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ob

    protected OutputBuffer ob

### error

    protected boolean error

Constructor Detail

### CoyoteWriter

    public CoyoteWriter(OutputBuffer ob)

Method Detail

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Prevent cloning the facade.

  Throws:
    `java.lang.CloneNotSupportedException`

### flush

    public void flush()

### close

    public void close()

### checkError

    public boolean checkError()

### write

    public void write(int c)

### write

    public void write(char[] buf,
                      int off,
                      int len)

### write

    public void write(char[] buf)

### write

    public void write(java.lang.String s,
                      int off,
                      int len)

### write

    public void write(java.lang.String s)

### print

    public void print(boolean b)

### print

    public void print(char c)

### print

    public void print(int i)

### print

    public void print(long l)

### print

    public void print(float f)

### print

    public void print(double d)

### print

    public void print(char[] s)

### print

    public void print(java.lang.String s)

### print

    public void print(java.lang.Object obj)

### println

    public void println()

### println

    public void println(boolean b)

### println

    public void println(char c)

### println

    public void println(int i)

### println

    public void println(long l)

### println

    public void println(float f)

### println

    public void println(double d)

### println

    public void println(char[] c)

### println

    public void println(java.lang.String s)

### println

    public void println(java.lang.Object o)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.